{
    "$graph": [
        {
            "label": "ani_top_identification",
            "class": "CommandLineTool",
            "baseCommand": "ani_top_identification",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ANI_cutoff"
                    },
                    "id": "#ani_top_identification.cwl/ANI_cutoff"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-N"
                    },
                    "id": "#ani_top_identification.cwl/N"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#ani_top_identification.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gcextract2-sqlite"
                    },
                    "id": "#ani_top_identification.cwl/gcextract2_sqlite"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#ani_top_identification.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-min-gap"
                    },
                    "id": "#ani_top_identification.cwl/min_gap"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-min-region"
                    },
                    "id": "#ani_top_identification.cwl/min_region"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ani-tax-report.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#ani_top_identification.cwl/o"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "annot.asn",
                    "inputBinding": {
                        "prefix": "-o-annot"
                    },
                    "id": "#ani_top_identification.cwl/o_annot"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-query-assembly"
                    },
                    "id": "#ani_top_identification.cwl/query_assembly"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ref-assemblies"
                    },
                    "id": "#ani_top_identification.cwl/ref_assemblies"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-ref-assembly-id"
                    },
                    "id": "#ani_top_identification.cwl/ref_assembly_id"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-ref-assembly-taxid"
                    },
                    "id": "#ani_top_identification.cwl/ref_assembly_taxid"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-tax-syn-table"
                    },
                    "id": "#ani_top_identification.cwl/tax_synon"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#ani_top_identification.cwl/taxon_db"
                }
            ],
            "id": "#ani_top_identification.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o_annot)"
                    },
                    "id": "#ani_top_identification.cwl/annot"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o)"
                    },
                    "id": "#ani_top_identification.cwl/top"
                }
            ]
        },
        {
            "label": "ani_top_n",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/ANI_cutoff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#main/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#main/blast_align"
                },
                {
                    "type": "File",
                    "id": "#main/gcextract2_sqlite"
                },
                {
                    "type": "File",
                    "id": "#main/gencoll_asn"
                },
                {
                    "type": "int",
                    "id": "#main/ref_assembly_id"
                },
                {
                    "type": "int",
                    "id": "#main/ref_assembly_taxid"
                },
                {
                    "type": "File",
                    "id": "#main/ref_gencoll_asn"
                },
                {
                    "type": "File",
                    "id": "#main/tax_synon"
                },
                {
                    "type": "File",
                    "id": "#main/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/ani_top_identification/annot",
                    "id": "#main/annot"
                },
                {
                    "type": "File",
                    "outputSource": "#main/ani_top_identification/top",
                    "id": "#main/top"
                }
            ],
            "steps": [
                {
                    "run": "#ani_top_identification.cwl",
                    "in": [
                        {
                            "source": "#main/ANI_cutoff",
                            "id": "#main/ani_top_identification/ANI_cutoff"
                        },
                        {
                            "default": 25,
                            "id": "#main/ani_top_identification/N"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/ani_top_identification/asn_cache"
                        },
                        {
                            "source": "#main/gcextract2_sqlite",
                            "id": "#main/ani_top_identification/gcextract2_sqlite"
                        },
                        {
                            "source": "#main/blast_align",
                            "id": "#main/ani_top_identification/input"
                        },
                        {
                            "default": 10000,
                            "id": "#main/ani_top_identification/min_gap"
                        },
                        {
                            "default": 100,
                            "id": "#main/ani_top_identification/min_region"
                        },
                        {
                            "source": "#main/gencoll_asn",
                            "id": "#main/ani_top_identification/query_assembly"
                        },
                        {
                            "source": "#main/ref_gencoll_asn",
                            "id": "#main/ani_top_identification/ref_assemblies"
                        },
                        {
                            "source": "#main/ref_assembly_id",
                            "id": "#main/ani_top_identification/ref_assembly_id"
                        },
                        {
                            "source": "#main/ref_assembly_taxid",
                            "id": "#main/ani_top_identification/ref_assembly_taxid"
                        },
                        {
                            "source": "#main/tax_synon",
                            "id": "#main/ani_top_identification/tax_synon"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/ani_top_identification/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/ani_top_identification/annot",
                        "#main/ani_top_identification/top"
                    ],
                    "id": "#main/ani_top_identification"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
